Skip to content

Returns a bounded page of logical files and directories from one Recovery Point.

GET
/api/workspace/file-protection/recovery-points/{recoveryPointId}/items
curl --request GET \
--url 'https://example.com/api/workspace/file-protection/recovery-points/example/items?page=1&pageSize=100' \
--header 'Authorization: Bearer <token>'
recoveryPointId
required
string
page
integer format: int32
default: 1
pageSize
integer format: int32
default: 100
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data

Bounded page of logical files and directories from one Recovery Point.

object
Items
Array<object>
nullable

One logical file or directory in a Recovery Point.

object
Id
string
nullable
LogicalPath
string
nullable
IsDirectory
boolean
SizeBytes
integer format: int64
Sha256
string
nullable
TotalCount
integer format: int32
Page
integer format: int32
PageSize
integer format: int32
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}